<template>
    <div>
        <h1>Asignar Permisos al Rol: {{ role.name }}</h1>
        <form @submit.prevent="submit">
            <div class="form-group">
                <label for="permissions">Seleccionar Permisos</label>
                <select id="permissions" v-model="selectedPermissions" multiple class="form-control">
                    <option v-for="permission in permissions" :key="permission.id" :value="permission.id">
                        {{ permission.name }}
                    </option>
                </select>
            </div>
            <button type="submit" class="btn btn-success mt-3">Asignar Permisos</button>
        </form>
    </div>
</template>

<script>
// import { Inertia } from '@inertiajs/inertia'
import { router } from '@inertiajs/vue3';

export default {
    props: {
        role: Object,
        permissions: Array
    },
    data() {
        return {
            selectedPermissions: []
        }
    },
    methods: {
        submit() {
            Inertia.post(route('roles.storePermissions', this.role.id), { permissions: this.selectedPermissions })
        }
    }
}
</script>
